; Akeeba reverse engineering database dump engine
; Copyright (c)2009-2014 Nicholas K. Dionysopoulos

; Engine information
[_information]
title = ENGINE_DUMP_REVERSE_TITLE
description = ENGINE_DUMP_REVERSE_DESCRIPTION

; COMMON SETTINGS
[engine.dump.divider.common]
default = 0
type = separator
title = CONFIG_DUMP_DIVIDER_COMMON
bold = 1

[engine.dump.common.blankoutpass]
default = 0
type = bool
title = CONFIG_BLANKOUTPASS_TITLE
description = CONFIG_BLANKOUTPASS_DESCRIPTION

; Generate extended inserts? Common between archive engines.
[engine.dump.common.extended_inserts]
default = 1
type = bool
title = CONFIG_EXTENDEDINSERTS_TITLE
description = CONFIG_EXTENDEDINSERTS_DESCRIPTION

; Extended INSERT packet size
[engine.dump.common.packet_size]
default = 131072
type = integer
min = 1
max = 1048576
shortcuts = "16384|32768|65536|131072|262144|524288|1048576"
scale = 1024
uom = Kb
title = CONFIG_MAXPACKET_TITLE
description = CONFIG_MAXPACKET_DESCRIPTION

; Split database dumps
[engine.dump.common.splitsize]
default = 524288
type = integer
min = 0
max = 10485760
shortcuts = "524288|1048576|2097152|5242880|10485760"
scale = 1048756
uom = Mb
title = CONFIG_SPLITDBDUMP_TITLE
description = CONFIG_SPLITDBDUMP_DESCRIPTION

; SQL queries per batch
[engine.dump.common.batchsize]
default = 1000
type = integer
min = 0
max = 1000
shortcuts = "10|20|50|100|200|500|1000"
scale = 1
uom = queries
title = CONFIG_BACTHSIZE_TITLE
description = CONFIG_BACTHSIZE_DESCRIPTION

; SETTINGS FOR REVERSE ENGINEERING DUMP
[engine.dump.divider.reverse]
default = 0
type = separator
title = CONFIG_DUMP_DIVIDER_REVERSE
bold = 1

; Enable dumping advanced entities
[engine.dump.native.advanced_entitites]
default = 0
type = bool
title = CONFIG_MYSQL5FEATURES_ENABLE_TITLE
description = CONFIG_MYSQL5FEATURES_ENABLE_DESCRIPTION


; Disable dependency tracking. Should only be used in special cases.
[engine.dump.native.nodependencies]
default = 0
type = bool
title = CONFIG_NODEPENDENCIES_TITLE
description = CONFIG_NODEPENDENCIES_DESCRIPTION
